{% extends 'mainApp/base.html' %}

{% block left_menu_items %}
	{% if user.role.permissions.CALLS_READ %}<a href="/calls/" class="item noselect nostyle"><div class="fas fa-phone"></div><p>Звонки</p></a>{% endif %}
	{% if user.role.permissions.CLIENTS_READ %}<a href="/clients/" class="item inline noselect nostyle hl-left"><div class="fas fa-users"></div><p>Клиенты</p></a>{% endif %}
	{% if user.role.permissions.USERS_READ %}<a href="/users/" class="item noselect nostyle"><div class="fas fa-user-friends"></div><p>Сотрудники</p></a>{% endif %}
	{% if user.role.permissions.POSITIONS_READ %}<a href="/positions/" class="item noselect nostyle"><div class="fas fa-user-tag"></div><p>Должности</p></a>{% endif %}
	{% if user.role.permissions.CONFIG_EDIT %}<a href="/config/" class="item noselect nostyle"><div class="fas fa-user-shield"></div><p>Доступ</p></a>{% endif %}
{% endblock %}

{% block content %}
	<div class="main-content">
		<div class="horizontal">
			<h1>Клиенты</h1>
			{% if user.role.permissions.CLIENTS_ADD %}
				<button class="button" onclick="modalGet('/clients/client/')">Добавить</button>
			{% endif %}
			{% include "mainApp/search.html" %}
		</div>
		<div class="list-view">
			<span class="item noselect" id="client">
				<p>Номер телефона</p>
				<p>Имя</p>
				<p>Обновление</p>
			</span>
			{% for client in clients %}
				<div class="item" id="client" onclick="modalGet('/clients/client/{{ client.id }}/edit/')">
					<p>{{ client.number }}</p>
					<p>{{ client.name }}</p>
					<p class="time" id="{{ client.lastUpdateTime }}"></p>
				</div>
				<script>
					var date = moment.unix({{ client.lastUpdateTime }});
					$(".item .time#{{ client.lastUpdateTime }}").html(date.fromNow());
				</script>
			{% endfor %}
		</div>
	</div>
{% endblock %}